Subject: Re: Document and implement an improved flash device binding

From: David Gibson <[email-masked]>
Date: Fri, 7 Sep 2007 11:04:49 +1000

On Thu, Sep 06, 2007 at 03:28:35PM +0200, Segher Boessenkool wrote:
> >>> +     - bank-width : Width (in bytes) of the flash bank.  Equal to 
> >>> the
> >>> +       device width times the number of interleaved chips.
> >>> +     - device-width : (optional) Width of a single flash chip.  If
> >>> +       omitted, assumed to be equal to 'bank-width'.
> >>
> >> Let's have bank-width optional instead, it's more natural
> >> that way for the common case of just one chip.  Or, you can
> >> say that either is optional.
> >
> > No, I'm disinclined to do that since bank-width is the primary bit of
> > information that the driver needs.
> 
> Bzzzzt.  That's not what the device tree is about; it should
> describe the hardware, it shouldn't be just a config file for
> the current Linux drivers.

Yes, yes, so you've said many times.

But where there are multiple ways of encoding exactly the same
information, I don't see that we can't use driver convenience as a
deciding factor.

> Besides, like I said, for the common case where your flash
> chips aren't interleaved, it makes way more sense to talk
> about device-width than it does to call it bank-width.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson